[CODE]
Public Sub SignalStrengthControl_SetSignalStrength(ByVal hWnd As Long, ByVal SignalStrength As Single)
  Dim xLong1 As Long
  Dim xLong2 As Long
  
  xLong1 = SignalStrengthControl_StrFloatToInt(SignalStrength)
  If IsUnicode Then
    xLong2 = GetWindowLongW(hWnd, -16&)
    Else
    xLong2 = GetWindowLongA(hWnd, -16&)
    End If
  If Not xLong2 = 0& Then
    If Not (xLong2 And &H7&) = xLong1 Then
      If IsUnicode Then
        Call SetWindowLongW(hWnd, -16&, (xLong2 And &HFFFFFFF8) Or xLong1)
        Else
        Call SetWindowLongA(hWnd, -16&, (xLong2 And &HFFFFFFF8) Or xLong1)
        End If
      Call SignalStrengthControl_Draw(hWnd)
      End If
    End If
  End Sub
